﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

func NewHoneyDividendsRecordsWithFlowDb(engine *xorm.Engine) dao.HoneyDividendsRecordsWithFlowDao {
	return &HoneyDividendsRecordsWithFlowDb{Db: engine}
}

type HoneyDividendsRecordsWithFlowDb struct {
	Db *xorm.Engine
}

func (h HoneyDividendsRecordsWithFlowDb) HoneyDividendsRecordsWithFlowInsert(session *xorm.Session, honeyDividendsRecordsWithFlow *models.HoneyDividendsRecordsWithFlow) (int64, error) {
	_, err := session.InsertOne(honeyDividendsRecordsWithFlow)
	if err != nil {
		return 0, err
	}
	return honeyDividendsRecordsWithFlow.Id, nil
}
