package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type SuperCloudIssuanceCopyWritingDb struct {
	Db *xorm.Engine
}

func NewSuperCloudIssuanceCopyWritingDb(engine *xorm.Engine) dao.SuperCloudIssuanceCopyWritingDao {
	return &SuperCloudIssuanceCopyWritingDb{Db: engine}
}

func (h SuperCloudIssuanceCopyWritingDb) GetSuperCloudIssuanceCopyWriting(pvd string) (m *models.SuperCloudIssuanceCopyWriting, err error) {
	m = new(models.SuperCloudIssuanceCopyWriting)
	has, err := h.Db.Where("provider = ?", pvd).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (h SuperCloudIssuanceCopyWritingDb) FindSuperCloudIssuanceCopyWriting() (mm *[]models.SuperCloudIssuanceCopyWriting, err error) {
	var m []models.SuperCloudIssuanceCopyWriting
	if err := h.Db.Where("1=1").Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
