package models

import (
	"time"
)

type RedPacketSubsidy struct {
	Id               int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	YesterdayMoney   string    `json:"yesterday_money" xorm:"default 0.00 DECIMAL(20,2)"`
	NowMoney         string    `json:"now_money" xorm:"default 0.00 DECIMAL(20,2)"`
	Date             int       `json:"date" xorm:"default 0 INT(11)"`
	CreateTime       time.Time `json:"create_time" xorm:"DATETIME"`
	YesterdayNum     int       `json:"yesterday_num" xorm:"default 0 INT(11)"`
	YesterdayUserNum int       `json:"yesterday_user_num" xorm:"default 0 INT(11)"`
	NowStoreNum      int       `json:"now_store_num" xorm:"default 0 INT(11)"`
	NowNum           int       `json:"now_num" xorm:"default 0 INT(11)"`
	NowUserNum       int       `json:"now_user_num" xorm:"default 0 INT(11)"`
	BastMoney        string    `json:"bast_money" xorm:"default 0.00 DECIMAL(20,2)"`
	MinMoney         string    `json:"min_money" xorm:"default 0.00 DECIMAL(20,2)"`
	OtherMoney       string    `json:"other_money" xorm:"DECIMAL(20,2)"`
}
