package models

import (
	"time"
)

type RedPacketSubsidyFlow struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Date       int       `json:"date" xorm:"default 0 unique(date) INT(11)"`
	CreateTime time.Time `json:"create_time" xorm:"DATETIME"`
	Money      string    `json:"money" xorm:"default 0.00 DECIMAL(20,2)"`
	OtherMoney string    `json:"other_money" xorm:"DECIMAL(20,2)"`
	Uid        int       `json:"uid" xorm:"default 0 unique(date) INT(11)"`
	StoreId    int       `json:"store_id" xorm:"default 0 unique(date) INT(11)"`
	IsPop      int       `json:"is_pop" xorm:"default 0 comment('是否弹窗') INT(1)"`
}
