package models

type ServiceAwardDividendBasic struct {
	Id                  int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsOpen              int    `json:"is_open" xorm:"not null default 1 comment('是否开启(1:开启 2:关闭)') TINYINT(1)"`
	VipAllocationSet    string `json:"vip_allocation_set" xorm:"not null comment('会员分配设置') TEXT"`
	AllocationPriority  int    `json:"allocation_priority" xorm:"not null default 1 comment('分配优先级(1:推荐人优先 2:高等级会员平均)') TINYINT(1)"`
	IsRefreshAllocation int    `json:"is_refresh_allocation" xorm:"not null default 1 comment('是否重新分配(1:是 2:否)') TINYINT(1)"`
	RefreshAllocation   string `json:"refresh_allocation" xorm:"not null default 'CURRENT_TIMESTAMP' comment('重新分配时间') DATETIME"`
	CreateAt            string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt            string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
