package models

type ServiceAwardDividendRelation struct {
	Id             int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid            int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	ParentUid      int    `json:"parent_uid" xorm:"not null default 0 comment('父级uid') INT(11)"`
	BindUid        int    `json:"bind_uid" xorm:"not null default 0 comment('绑定uid') INT(11)"`
	VipLevel       int    `json:"vip_level" xorm:"not null default 0 comment('会员等级id') INT(11)"`
	AllocationNums int    `json:"allocation_nums" xorm:"not null default 0 comment('分配次数') INT(11)"`
	RegionId       int    `json:"region_id" xorm:"not null default 0 comment('区域id(同 regional_agent_user_belong 的region_id)') INT(11)"`
	CreateAt       string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt       string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
