package models

import (
	"time"
)

type SubsidyStoreMoney struct {
	Id         int       `json:"id" xorm:"not null pk default 0 INT(11)"`
	StoreId    int       `json:"store_id" xorm:"INT(11)"`
	MerchantId int       `json:"merchant_id" xorm:"default 0 INT(11)"`
	Amount     string    `json:"amount" xorm:"default 0.00 DECIMAL(20,2)"`
	IsSend     int       `json:"is_send" xorm:"default 0 INT(1)"`
	CreateAt   time.Time `json:"create_at" xorm:"DATETIME"`
	SendAt     time.Time `json:"send_at" xorm:"DATETIME"`
	Oid        int64     `json:"oid" xorm:"default 0 BIGINT(20)"`
}
