package models

type SuperCloudIssuanceUserGroupManageWhiteList struct {
	Id              int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid             int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	ActivateGroupId int    `json:"activate_group_id" xorm:"not null default 0 comment('绑定激活群id') INT(11)"`
	ChatRoomId      string `json:"chat_room_id" xorm:"not null default '' comment('微信群id') VARCHAR(255)"`
	ChatRoomOwner   string `json:"chat_room_owner" xorm:"not null default '' comment('群所有者') VARCHAR(255)"`
	BigHeadImgUrl   string `json:"big_head_img_url" xorm:"not null default '' comment('大的群头像') VARCHAR(255)"`
	SmallHeadImgUrl string `json:"small_head_img_url" xorm:"not null default '' comment('小的群头像') VARCHAR(255)"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
