package models

type SuperCloudIssuanceUserRobotBindSourceMessageLog struct {
	Id              int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	ActivateGroupId int    `json:"activate_group_id" xorm:"not null default 0 comment('绑定激活群id') INT(11)"`
	MessageType     int    `json:"message_type" xorm:"not null default 0 comment('消息类型(0:其他 9:群聊文本消息 10:群聊图片消息 11:群聊视频消息)') TINYINT(11)"`
	Timestamp       int64  `json:"timestamp" xorm:"not null default 0 comment('时间') BIGINT(20)"`
	Content         string `json:"content" xorm:"not null comment('消息体') TEXT"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
