package models

import (
	"time"
)

type YibaoMerchant struct {
	Id                  int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	RequestNo           string    `json:"request_no" xorm:"VARCHAR(255)"`
	MerchantNo          string    `json:"merchant_no" xorm:"VARCHAR(255)"`
	State               string    `json:"state" xorm:"VARCHAR(255)"`
	ApplicationNo       string    `json:"application_no" xorm:"VARCHAR(255)"`
	CreateTime          time.Time `json:"create_time" xorm:"DATETIME"`
	UpdateTime          time.Time `json:"update_time" xorm:"DATETIME"`
	StoreId             int       `json:"store_id" xorm:"default 0 INT(11)"`
	Platform            string    `json:"platform" xorm:"default '' comment('official官方 o2o b2c ') VARCHAR(255)"`
	Data                string    `json:"data" xorm:"TEXT"`
	ErrMsg              string    `json:"err_msg" xorm:"VARCHAR(5000)"`
	Type                string    `json:"type" xorm:"comment('入驻类型') VARCHAR(255)"`
	ElecSignUrl         string    `json:"elec_sign_url" xorm:"VARCHAR(2000)"`
	AuditOpinion        string    `json:"audit_opinion" xorm:"VARCHAR(255)"`
	ProgressDescription string    `json:"progress_description" xorm:"VARCHAR(255)"`
}
