﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewServiceAwardDividendBasicDb(engine *xorm.Engine) dao.ServiceAwardDividendBasicDao {
	return &ServiceAwardDividendBasicDb{Db: engine}
}

type ServiceAwardDividendBasicDb struct {
	Db *xorm.Engine
}

func (s ServiceAwardDividendBasicDb) GetServiceAwardDividendBasic() (m *models.ServiceAwardDividendBasic, err error) {
	m = new(models.ServiceAwardDividendBasic)
	has, err := s.Db.Where("is_open = 1").Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
