﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"reflect"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserGroupManageWhiteListWithWxUserDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDao {
	return &SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDb{Db: engine}
}

type SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDb) FindAndCountSuperCloudIssuanceUserGroupManageWhiteListWithWxUser(uid int) (m []*models.SuperCloudIssuanceUserGroupManageWhiteListWithWxUser, total int64, err error) {
	total, err = s.Db.Where("uid=?", uid).OrderBy("id DESC").FindAndCount(&m)
	return
}

func (s SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDb) SaveSuperCloudIssuanceUserGroupManageWhiteListWithWxUser(id interface{}, m *models.SuperCloudIssuanceUserGroupManageWhiteListWithWxUser, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDb) BatchSuperCloudIssuanceUserGroupManageWhiteListWithWxUser(list []*models.SuperCloudIssuanceUserGroupManageWhiteListWithWxUser) (int64, error) {
	affected, err := s.Db.Insert(list)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (s SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDb) SuperCloudIssuanceUserGroupManageWhiteListWithWxUserDelete(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return s.Db.In("id", id).Delete(models.SuperCloudIssuanceUserGroupManageBlackList{})
	} else {
		return s.Db.Where("id = ?", id).Delete(models.SuperCloudIssuanceUserGroupManageBlackList{})
	}
}
