package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindCircleDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotBindCircleDao {
	return &SuperCloudIssuanceUserRobotBindCircleDb{Db: engine}
}

type SuperCloudIssuanceUserRobotBindCircleDb struct {
	Db *xorm.Engine
}

func (h SuperCloudIssuanceUserRobotBindCircleDb) GetSuperCloudIssuanceUserRobotBindCircleByCategory(uid, categoryId int) (mm *models.SuperCloudIssuanceUserRobotBindCircle) {
	var m models.SuperCloudIssuanceUserRobotBindCircle
	if has, err := h.Db.Where("uid =? AND goods_category_id =? AND state =1", uid, categoryId).Get(&m); err != nil || has == false {
		return nil
	}
	return &m
}

func (h SuperCloudIssuanceUserRobotBindCircleDb) GetSuperCloudIssuanceUserRobotBindCircle(uid, robotId int) (mm *models.SuperCloudIssuanceUserRobotBindCircle) {
	var m models.SuperCloudIssuanceUserRobotBindCircle
	if has, err := h.Db.Where("robot_id=? and uid=?", robotId, uid).Get(&m); err != nil || has == false {
		return nil
	}
	return &m
}
