package models

type GuideOrderForNumericalStatementLog struct {
	Id              int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	MasterId        string `json:"master_id" xorm:"not null default '0' comment('站长id') CHAR(20)"`
	Data            string `json:"data" xorm:"not null comment('sql内容') TEXT"`
	UpdateFieldName string `json:"update_field_name" xorm:"not null default '' comment('变更字段名') CHAR(50)"`
	OldValue        string `json:"old_value" xorm:"not null default '' comment('旧值') VARCHAR(50)"`
	NowValue        string `json:"now_value" xorm:"not null default '' comment('新值') VARCHAR(50)"`
	Kind            int    `json:"kind" xorm:"not null default 1 comment('操作(1:新增 2:更新)') TINYINT(1)"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
}
