package model

type ZhiosAlipayConfig struct {
	Id                      int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	OpenAlipayAppid         string `json:"open_alipay_appid" xorm:"not null default '' comment('支付宝开放平台-第三方应用-appid') VARCHAR(255)"`
	OpenAlipayAesKey        string `json:"open_alipay_aes_key" xorm:"not null default '' comment('支付宝开放平台-第三方应用-接口内容加密-aesKey') VARCHAR(255)"`
	OpenAlipayAppPrivateKey string `json:"open_alipay_app_private_key" xorm:"not null default '' comment('支付宝开放平台-第三方应用-接口加签-应用私钥') VARCHAR(255)"`
	OpenAlipayAppPublicKey  string `json:"open_alipay_app_public_key" xorm:"not null default '' comment('支付宝开放平台-第三方应用-接口加签-应用公钥') VARCHAR(255)"`
	OpenAlipayPublicKey     string `json:"open_alipay_public_key" xorm:"not null default '' comment('支付宝开放平台-第三方应用-接口加签-支付宝公钥') VARCHAR(255)"`
	JsapiPayNotifyUrl       string `json:"jsapi_pay_notify_url" xorm:"not null default '' comment('支付宝开放平台-jsapi支付-异步通知"') VARCHAR(255)"`
}
